%define ver 0.8
Summary: A partitioning tool for Apple Macintosh-style partitioned disks.
Name: pdisk
Version: %{ver}
Release: 3.ydl.3
License: Apple Free Copyright
Group: Applications/System
Source: ftp://cfcl.com/pub/ev/pdisk.20000516.src.tar.gz
Patch0: pdisk-changetype.patch
BuildRoot: /var/tmp/pdisk-buildroot

%description
pdisk enables you to view and modify Apple Macintosh-style partition maps.
Normally, it is used to create PowerPC Linux partitions on your
disk, however, it can create partitions of any type, including HFS (except
it would be up to MacOS or some other tool to actually create the HFS
filesystem in that HFS partition).  pdisk won't put MacOS disk drivers onto
your disk.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%setup -n pdisk
%patch0 -p1

%build
make

%install
mkdir $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
install -m700 pdisk $RPM_BUILD_ROOT/sbin/pdisk
install -m444 pdisk.8 $RPM_BUILD_ROOT/usr/share/man/man8/pdisk.8
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/pdisk-%{ver}
install -m444 README $RPM_BUILD_ROOT/usr/share/doc/pdisk-%{ver}/README
install -m444 pdisk.html $RPM_BUILD_ROOT/usr/share/doc/pdisk-%{ver}/pdisk.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/pdisk
/usr/share/man/man8/pdisk.8*
/usr/share/doc/pdisk-%{ver}/README
/usr/share/doc/pdisk-%{ver}/pdisk.html

%changelog
* Thu Jun 29 2006 Tim Renner <trenner@terrasoftsolutions.com>
- Built against gcc 4.1 for YDL 5.0

* Wed Oct 26 2005 Dan Burcaw <dan@ydl.net>
- copyright -> license

* Wed Apr 30 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- added change type option.

* Mon Jan 27 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- Anubis rebuild (fix ownership)

* Wed Oct 02 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- rebuild for Anubis
- put manpages and docs in the right location

* Sun Feb 24 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.8

* Sun Feb 26 2000 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- compressed man pages

* Fri Mar 06 1998 Gilbert Coville <coville@apple.com>
- Initial version - some bits ripped off from Mark Hatle's old pfdisk spec file.
